Subject: Re: [RFC PATCH v3 net-next] Documentation: devlink: Add devlink-sd

From: Jakub Kicinski <[email-masked]>
Date: Thu, 1 Feb 2024 19:30:50 -0800

On Thu, 1 Feb 2024 11:16:22 -0800 William Tu wrote:
> >> I guess bnxt, ice, nfp are doing tx buffer sharing?  
> > I'm not familiar with ice. I'm 90% sure bnxt shares both Rx and Tx.
> > I'm 99.9% sure nfp does.
> >
> > It'd be great if you could do the due diligence rather than guessing
> > given that you're proposing uAPI extension :(
> >  
> *
> 
> (sorry again, html is detected in previous email)
> 
> due diligence here:

Thanks for collecting the deets!

If I'm reading this right we have 3 drivers which straight up share
queues. I don't remember anyone complaining about the queue sharing
in my time at Netro. Meaning we can probably find reasonable defaults
and not start with the full API? Just have the

  devlink dev eswitch set DEV mode switchdev shared-descs enable

extension to begin with?